/**
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance
 *  with the License. A copy of the License is located at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  or in the 'license' file accompanying this file. This file is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES
 *  OR CONDITIONS OF ANY KIND, express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
import * as apigwv2 from 'aws-cdk-lib/aws-apigatewayv2';
/**
 * Velocity template transformation string that maps incoming request on the websocket to Amazon SQS Queue `sendMessage`
 * API call.
 */
export declare const DEFAULT_ROUTE_QUEUE_VTL_CONFIG: string;
/**
 * default property for `$connect` route options for a websocket
 */
export declare const connectRouteOptions: apigwv2.WebSocketRouteOptions;
